<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Orders extends Model
{
    use HasFactory;

    public function user () 
    {
        return $this->belongsTo(User::class, 'userId');
    }

    public function bid () 
    {
        return $this->hasMany(OrderBid::class,'orderId','id' )->with('user');
    }
}
